Skip to main content

Create operations

POST 

/v1/organizations/:organization_id/operations

Create one or several operations based on the sent scope and objectives.

Currently available operation types: execute_microservice, delete_workspaces, shutdown_workspaces, and restart_workspaces.

Parameter compatibility for execute_microservice

payload.parameters only applies to PowerShell microservices executions on Windows and is only supported on devices with the new agent installed.

Values sent in payload.parameters are transmitted as text (string). Type interpretation depends on parameter definition and parsing implemented in the microservice script.

For this context, recommended parameter data types:

  • string, integer, double, decimal, and datetime.
  • For double and decimal, use decimal point notation (.).
  • For datetime, use ISO 8601 format (e.g., 2026-07-09T10:30:00Z).
  • On execution at the destination, datetime values may be represented in local time.
  • Correct execution also depends on the quality and validations of the script.

Request

Responses

Operations created successfully.